package com.chenyang.nse.bussiness.entity.orm.table.core.scheduler;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.util.Date;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_SCHEDULER_RULES"
)
public class TCoreSchedulerRules extends TBaseEntity {
   private static final long serialVersionUID = -207764037496685363L;
   private String projectid;
   private String srname;
   private String rulestype;
   private Date starttime;
   private Date endtime;
   private String rulesday;
   private String ruleshour;
   private String rulesminute;
   private String rulestime;
   private String expression;
   private Date createtime;
   private Date updatetime;
   @Column(
      length = 5000
   )
   private String errormessage;
   private String rulevalidity;
   private String xloptions;
   private String howtime;
   private String timebox;

   public String getErrormessage() {
      return this.errormessage;
   }

   public void setErrormessage(String errormessage) {
      this.errormessage = errormessage;
   }

   public String getXloptions() {
      return this.xloptions;
   }

   public void setXloptions(String xloptions) {
      this.xloptions = xloptions;
   }

   public String getHowtime() {
      return this.howtime;
   }

   public void setHowtime(String howtime) {
      this.howtime = howtime;
   }

   public String getTimebox() {
      return this.timebox;
   }

   public void setTimebox(String timebox) {
      this.timebox = timebox;
   }

   public static long getSerialversionuid() {
      return -207764037496685363L;
   }

   public String getRulestime() {
      return this.rulestime;
   }

   public void setRulestime(String rulestime) {
      this.rulestime = rulestime;
   }

   public String getProjectid() {
      return this.projectid;
   }

   public void setProjectid(String projectid) {
      this.projectid = projectid;
   }

   public String getSrname() {
      return this.srname;
   }

   public void setSrname(String srname) {
      this.srname = srname;
   }

   public String getRulestype() {
      return this.rulestype;
   }

   public void setRulestype(String rulestype) {
      this.rulestype = rulestype;
   }

   public Date getStarttime() {
      return this.starttime;
   }

   public void setStarttime(Date starttime) {
      this.starttime = starttime;
   }

   public Date getEndtime() {
      return this.endtime;
   }

   public void setEndtime(Date endtime) {
      this.endtime = endtime;
   }

   public String getRulesday() {
      return this.rulesday;
   }

   public void setRulesday(String rulesday) {
      this.rulesday = rulesday;
   }

   public String getRuleshour() {
      return this.ruleshour;
   }

   public void setRuleshour(String ruleshour) {
      this.ruleshour = ruleshour;
   }

   public String getRulesminute() {
      return this.rulesminute;
   }

   public void setRulesminute(String rulesminute) {
      this.rulesminute = rulesminute;
   }

   public String getExpression() {
      return this.expression;
   }

   public void setExpression(String expression) {
      this.expression = expression;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public Date getUpdatetime() {
      return this.updatetime;
   }

   public void setUpdatetime(Date updatetime) {
      this.updatetime = updatetime;
   }

   public String getRulevalidity() {
      return this.rulevalidity;
   }

   public void setRulevalidity(String rulevalidity) {
      this.rulevalidity = rulevalidity;
   }
}
